Bug 3521

Summary: requestFindProc
Product: frysk Reporter: Andrew Cagney <cagney>
Component: generalAssignee: Nurdin Premji <npremji>
Status: RESOLVED FIXED    
Severity: normal CC: npremji
Priority: P2    
Version: unspecified   
Target Milestone: ---   
Host: Target:
Build: Last reconfirmed:
Bug Depends on:    
Bug Blocks: 1593    

Description Andrew Cagney 2006-11-15 16:49:36 UTC
Request a proc from the frysk monitoring tool; the interface is notified when
the proc is found, or not.

This should eliminate the polling of the entire proc tree, using refresh, by
those small command line utilities.
Comment 1 Nurdin Premji 2006-11-21 22:15:09 UTC
2006-11-17
 frysk-core/frysk/proc/CL
        * Host.java (FindProc): Added, new interface for finding processes.
        (requestFindProc): Added.
        (sendRefresh): Added.
        * TestFindProc.java: Added.
        * DummyHost.java (sendRefresh): Added.
        * LinuxHost.java (sendRefresh): Added.
        * HostState.java (running.handleRefresh): Added.
        (handleRefresh): Added.
Comment 2 Nurdin Premji 2006-11-21 22:17:41 UTC
Issues with optimizing interface:
some functions that will use this require that the child processes be updated as
well. I believe another interface will be needed, something along the lines of
requestFindChildren.
Comment 3 Nurdin Premji 2006-11-22 22:19:26 UTC
Finished.
November 22, 2006
frysk-core/frysk/proc/CL
        * TestRefresh.java (testRefreshZombie): Changed to use old
requestRefreshXXX to find children.
        (testRefreshDaemon): Ditto.
        * LinuxHost.java: (sendRefresh): Optimized for FindProc.